//+------------------------------------------------------------------+
//|                                                 IndicatorFactory |
//|                                   Copyright 2021, Niklas Schlimm |
//|                                      https://github.com/nschlimm |
//+------------------------------------------------------------------+
#include <Indicators/Indicators.mqh>
#include <IndicatorFactory/IndicatorFactory.mqh>
CIndicators indicators1;
CIndicators indicators2;
int OnInit()
  {
   MqlParam rsi[2];
   ENUM_TIMEFRAMES tradingTimeframe = PERIOD_CURRENT;
   rsi[0].type = TYPE_INT; rsi[0].integer_value=14;
   rsi[1].type = TYPE_INT; rsi[1].integer_value=PRICE_CLOSE;
   indicators1.Add(IndicatorFactory::getInstance(_Symbol,IND_RSI,tradingTimeframe,rsi));
   indicators2.Add(IndicatorFactory::getInstance(_Symbol,IND_RSI,tradingTimeframe,rsi));
   return(INIT_SUCCEEDED);
  }

void OnDeinit(const int reason)
  {
  }
void OnTick()
  {
     if (indicators1.At(0)==indicators2.At(0))
        Print("I am sharing the same indicator instances in my clients!");
  }
